[centos-users 529] Re: Net::SSH::Perl のインストールについて

Masakazu Takahashi emasaka @ gmail.com
2007年 6月 28日 (木) 07:54:19 JST


 いいかげんな答えでしたので、さっくり cpan からインストールして試してみました。
動いたようです。

■OS 環境
・CentOS 5 を新規インストール
・SELinux 無効

■yum でインストールした CentOS 5 標準パッケージ
・gcc、gmp-devel、gmp、expat-devel

■先にインストールした CPAN モジュール
・Math::BigInt::GMP、CPAN

■インストール中の指定
・Math::Pari のインストールで「Fetch? (y/n, press Enter)」には「y」
・あとはデフォルト

■t/03-packet で止まる問題
・既知の問題の様子。とりあえず Net::SSH::Perl 本体だけ notest でインストール

http://rt.cpan.org/Public/Bug/Display.html?id=6101

■Permission denied の問題
・パスワード認証のパスワードは login() に与えても無駄
・new() のときに interactive => 1 し、キー入力



07/06/27 に ml_rh_linux @ spiralsys.com<ml_rh_linux @ spiralsys.com> さんは書きました:
> 高橋 さん
> 
> RES有り難うございます。
> 返事が遅くなり、申しわけありません。
> 
> yum で インストールは出来たのですが、
> 
> Math::BigInt: couldn't load specified math lib(s), fallback to
> Math::BigInt::Calc at /usr/lib/perl5/site_perl/5.8.8/Crypt/DH.pm line 6
> Math::BigInt: couldn't load specified math lib(s), fallback to
> Math::BigInt::Calc at /usr/lib/perl5/site_perl/5.8.8/Crypt/DSA/KeyChain.pm line 6
> Math::BigInt: couldn't load specified math lib(s), fallback to
> Math::BigInt::Calc at /usr/lib/perl5/site_perl/5.8.8/Crypt/DSA/Key.pm line 6
> Math::BigInt: couldn't load specified math lib(s), fallback to
> Math::BigInt::Calc at /usr/lib/perl5/site_perl/5.8.8/Crypt/DSA/Util.pm line 6
> Permission denied at /usr/lib/perl5/site_perl/5.8.8/Net/SFTP.pm line 62
> 
> のエラーでハングアップしてしまいます。
> SFTP.pm のソースを見てみたのですが、
> 
> gmp パッケージが2のが原因のよう名感じがします。
> 今、捜しているのですが、
> gmp-4.1.tar.gz が見つかりました。
> 
> これで、Centos 5 でもだいじょうぶでしょうか。
> 
> 教えていただければ。
> 
> よろしくお願いします。
> 
> 
> At 13:13 07/06/26, you wrote:
> >07/06/26 に ml_rh_linux @ spiralsys.com<ml_rh_linux @ spiralsys.com> さんは書き
> >ました:
> > > 以下のように、
> > > t/03-packet......ok 1/10
> > > が出たところで、黙りになってしまいます。
> > > (先に進みません)
> > > 念のため、30分ほど待ってみたのですが。
> > >
> > > また、
> > > Math::BigInt Math::BigFloat Math::BigInt::Calc Math::BigInt::CalcEmu
> > > は、インストールされています。
> >
> > > Math::BigInt: couldn't load specified math lib(s), fallback to
> >
> > gmp-devel をインストールして先に進んだとのことですので、gmp パッケージ
> >を追加インストールすると、今回の件も解消したりしますか?
> >
> >--
> >高橋 "masaka" 正和
> >_______________________________________________
> >centos-users mailing list
> >centos-users @ oss.poyo.jp
> >http://oss.poyo.jp/mailman/listinfo/centos-users
> 
> _______________________________________________
> centos-users mailing list
> centos-users @ oss.poyo.jp
> http://oss.poyo.jp/mailman/listinfo/centos-users
> 


-- 
高橋 "masaka" 正和



centos-users メーリングリストの案内